-- Example Lua script
-- Check a file for a pattern similar to SSN
--
-- Note this example will not work for large files
-- because it loads the entire file into memory.

-- SETTINGS
local server_side_encryption_at_rest=false
local server_side_encryption_at_rest_password="secret_password"

local unprotect = require("unprotect")
local path, err = url_path(env["Path"])

aslog("Checking SSN")

local status = "completed"
local err_msg = "none"

-- open the file for reading
local file, err
if server_side_encryption_at_rest then
  -- use aspera crypto file
  file, err = unprotect.open(path, server_side_encryption_at_rest_password)
else
  -- use native file io
  file, err = io.open(path)
end

if err then error(err) end

local data = file:read("*a")
if data:match("%d%d%d%-?%d%d%-?%d%d%d%d") then
    status = "error"
    err_msg = "possible sensitive data detected"
end

update_status(status, env["Size"], err_msg)
file:close()
