-- Example Lua script

-- SETTINGS
local password="secret_password"

local ltn12 = require("ltn12")
local unprotect = require("unprotect")
local os = require("os")
local string = require("string")

function checksum(p)
    local cmd = "md5sum '" .. p .."'"
    local f = io.popen(cmd)
    local output = f:read("*a")
    f:close()
    return string.gsub(output, "%s.*", "")
end

local path, err = url_path(env["Path"])
local status = "completed"
local err_code = 0
local err_msg = "none"

-- Decrypt the file via validator
file, err = unprotect.open(path, password)
if err then
    error(err)
end

out = io.open(path .. ".validator-decrypted", "w")
ltn12.pump.all(
  ltn12.source.file(file),
  ltn12.sink.file(out)
)
file:close()

-- Decrypt the file via asunprotect
os.execute("/bin/bash -c 'ASPERA_SCP_FILEPASS=secret_password /opt/aspera/bin/asunprotect -o \"" .. path .. ".asunprotect-decrypted\" \"" .. path .. "\"'")

-- Compare the files
local c1 = checksum(path .. ".asunprotect-decrypted")
local c2 = checksum(path .. ".validator-decrypted")
if c1 ~= c2 then
    status = "error"
    err_code = 1
    err_msg = "checksum error"
end

aslog(c1 .. " == " .. c2)
update_status(status, env["Size"], err_code, err_msg)
