-- Example Lua script
--
-- Verify a file using ClamAV
--

-- SETTINGS

-- Try to use clamscan if clamd errors
local fallback = true
local clamdscan = "/usr/bin/clamdscan --fdpass"
local clamscan = "/usr/bin/clamscan"

function scan(bin)
  local output
  -- skip 0 byte files
  if env["Size"] > 0 then
    local file_path = url_path(env["Path"])
    local cmd = string.format("%s --stdout --no-summary %s || true", bin, file_path)
    local f = io.popen(cmd)
    output = f:read("*a")
    f:close()
  end
  aslog("Scan output: " .. output)
  local virus = string.find(output, "FOUND")
  local err = string.find(output, "ERROR") or output == ""
  return virus, err, output
end

function status(virus, err, output)
  local file_status = "completed"
  local err_msg = ""
  local bytes_processed = env["Size"]

  if virus then
    file_status = "error"
    err_msg = output
  end

  if err then
    if fallback then
      fallback = false
      aslog("Clamd scan error. Falling back to clamscan")
      return status(scan(clamscan))
    end
    file_status = "error"
    err_msg = output
  end

  return file_status, bytes_processed, err_msg
end

local virus, err, output = scan(clamdscan)
update_status(status(virus, err, output))
