-- Example Lua script
--
-- Transform paths on remote servers to local paths
--

local server_path_map = {
    -- ["server_name"] = {"replace_this_partial_path"}, {"with_this_partial_path"},
    ["node0"] = {"/home/faspex/faspex_packages", "/mnt/node0_faspex_packages"},
    ["node1"] = {"/home/faspex/faspex_packages", "/mnt/node1_faspex_packages"},
    ["shares"] = {"/data", "/mnt/shares_data"},
}

local file_path = url_path(env["Path"])
local server_name = url_path(env["ServerName"])

if server_path_map[server_name] ~= nil then
    source_path = server_path_map[server_name][1]
    local_path = server_path_map[server_name][2]
    file_path = string.gsub(file_path, source_path, local_path)
end

aslog("Path after transfom: " .. file_path)
update_status("completed", 0)
