#!./libs/bats/bin/bats

load 'libs/bats-support/load'
load 'libs/bats-assert/load'
load 'test_helper'

setup() {
  touch "$BATS_TMPDIR/good.txt"
  touch "$BATS_TMPDIR/failme.txt"
}

teardown() {
  rm "$BATS_TMPDIR/good.txt"
  rm "$BATS_TMPDIR/failme.txt"
}

LUA_PATH="$BATS_TEST_DIRNAME/../basic.lua"

@test "Should pass files with a valid name" {
    run test_script "$LUA_PATH" "$BATS_TMPDIR/good.txt"
    assert_completed
}

@test "Should fail files with a invalid name" {
    run test_script "$LUA_PATH" "$BATS_TMPDIR/failme.txt"
    assert_errored
}
