
VALIDATOR_BIN="$BATS_TEST_DIRNAME/../../bin/aspera-validator"

encrypt_env() {
  HSTS_ROOT="${1:-/opt/aspera}"
  HSTS_BIN="$HSTS_ROOT/bin"
  ASPERA_SCP_FILEPASS="secret_password"
  export ASPERA_SCP_FILEPASS
}

test_env() {
  LUA_FILE=$1
}

encrypt_file() {
  "$HSTS_BIN/asprotect" "$1" > "$2"
}

encrypt_string() {
  local tmp
  tmp=$(mktmp)
  echo "$1" > "$tmp"
  "$HSTS_BIN/asprotect" "$tmp" > "$2"
  rm "$tmp"
}

make_zero_file() {
  dd if=/dev/zero of="$BATS_TMPDIR/$1" bs=1M count=1
}

test_script() {
  local file
  script="$1"
  file="$2"
  $VALIDATOR_BIN test-script -L- -f "$script" -t "$file"
}

# replace_setting() {
#   local script setting value
#   setting=$1
#   value=$2
#   sed "s|\\(local $setting\\W*=\\).*|\\1 $value|" < "$LUA_PATH" > "$BATS_TMPDIR/$LUA_FILE"
# }

replace_setting() {
  local script setting value tmpfile
  tmpfile="$BATS_TMPDIR/$LUA_FILE"
  setting=$1
  value=$2
  if [ -f "$tmpfile" ]; then
    sed -i'' "s|\\(local $setting\\W*=\\).*|\\1 $value|" "$tmpfile"
  else
    sed "s|\\(local $setting\\W*=\\).*|\\1 $value|" < "$LUA_PATH" > "$tmpfile"
  fi
}

assert_completed() {
  assert_line --regexp "msg=\"Updating status\".*Status=completed"
}

assert_errored() {
  assert_line --regexp "Updating status.*Status=error"
}
