package main

import (
	"os"
	"strconv"
)

func getEnv(key string, fallback string) string {
	if value, ok := os.LookupEnv(key); ok {
		return value
	}
	return fallback
}

func getEnvI(key string, fallback string) int {
	value, err := strconv.Atoi(getEnv(key, fallback))
	if err != nil {
		panic(err)
	}
	return value
}

func getEnvB(key string, fallback string) bool {
	value, err := strconv.ParseBool(getEnv(key, fallback))
	if err != nil {
		panic(err)
	}
	return value
}
